Summary:	GNOME Chess - a 2D/3D chess interface
Summary(pl.UTF-8):	GNOME Chess - dwu i trójwymiarowy interfejs do szachów
Name:		gnome-chess
Version:	3.34.0
Release:	1
License:	GPL v3+
Group:		X11/Applications/Games
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-chess/3.34/%{name}-%{version}.tar.xz
# Source0-md5:	7c869d8864d7414d6b9496bb48ca9514
URL:		https://wiki.gnome.org/Apps/Chess
BuildRequires:	appstream-glib
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.44.0
BuildRequires:	gtk+3-devel >= 3.20.0
BuildRequires:	librsvg-devel >= 1:2.32.0
BuildRequires:	meson
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.35.7
BuildRequires:	vala-librsvg >= 1:2.32.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.44.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.44.0
Requires:	gtk+3 >= 3.20.0
Requires:	hicolor-icon-theme
Requires:	librsvg >= 1:2.32.0
Suggests:	crafty
Suggests:	gnuchess
Provides:	gnome-games-glchess = 1:%{version}-%{release}
Obsoletes:	glchess
Obsoletes:	gnome-games-glchess < 1:3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Chess is a 2D/3D chess game interfacing via the Chess Engine
Communication Protocol (CECP) by Tim Mann. This means it can currently
use engines such as GNUChess, Sjeng, Faile, Amy, Crafty and Phalanx.

%description -l pl.UTF-8
GNOME Chess to dwu i trójwymiarowa gra w szachy komunikująca się za
pomocą protokołu CECP (Chess Engine Communication Protocol) Tima
Manna. Oznacza to, że aktualnie może używać silników takich jak
GNUChess, Sjeng, Faile, Amy, Crafty i Phalanx.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/gnome-chess
%dir %{_sysconfdir}/gnome-chess
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gnome-chess/engines.conf
%{_datadir}/gnome-chess
%{_datadir}/glib-2.0/schemas/org.gnome.Chess.gschema.xml
%{_datadir}/metainfo/org.gnome.Chess.appdata.xml
%{_desktopdir}/org.gnome.Chess.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Chess.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Chess-symbolic.svg
%{_mandir}/man6/gnome-chess.6*
%changelog
* Sun Nov 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-chess.git;a=log;h=master

* Sun Nov 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 28f4270
- updated to 3.34.0

* Mon Jan 28 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 38de057
- Updated to 3.30.0

* Wed Jul 19 2017 Jakub Bogusz <qboosh@pld-linux.org> f3b87d1
- updated vala version, librsvg epoch

* Fri Apr 14 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 588abb3
- Update to 3.24.1

* Thu Mar 30 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 91fc245
- Update to 3.24.0

* Fri Jan 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 7185ea5
- updated to 3.22.2

* Fri Oct 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 34f7846
- updated to 3.18.0

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 3e7432e
- updated to 3.16.2

* Sat Feb 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 9103254
- updated to 3.14.3

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 1b4fbad
- updated gettext BR

* Thu Dec 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 2ec17a2
- rebuild libtool too

* Tue Dec 23 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 4b45d49
- Update to 3.14.2

* Sun Jun 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 6fa4185
- updated to 3.12.3

* Mon Jun 23 2014 Jakub Bogusz <qboosh@pld-linux.org> c9b3d2f
- updated to 3.12.2

* Sun Apr 27 2014 Marcin Banasiak <marcin.banasiak@gmail.com> b7a3cea
- Update to 3.12.1

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> b4c3a47
- dropped pre-cvs changelog

* Tue Oct 09 2007 Jan Rękorajski <baggins@pld-linux.org> 9a869db
- s/enviroment/environment/

* Wed Sep 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 1cccc79
- updated to 0.4.0 (switched to GNOME 2.x)
- removed outdated patches, updated desktop patch

* Wed Sep 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 8271a83
- new one for 0.4.0

* Wed Sep 05 2007 Jakub Bogusz <qboosh@pld-linux.org> fa5ab1f
- outdated

